// Copyright 2023 The Pigweed Authors
//
// Licensed under the Apache License, Version 2.0 (the "License"); you may not
// use this file except in compliance with the License. You may obtain a copy of
// the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
// WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
// License for the specific language governing permissions and limitations under
// the License.

#include <Arduino.h>

#include "pw_arduino_build/init.h"

// Arduino target specific init. pw_sys_io_arduino_Init() normally calls
// Serial.begin(115200). Instead, we init serial to a higher baudrate here.
extern "C" void pw_arduino_Init() { Serial.begin(2000000); }
